Payouts
List pending payouts
Retrieves a paginated list of pending payouts (payouts that have not been paid out yet).
GET
/
payouts
/
pending
List pending payouts
curl --request GET \
--url https://api.staging.streamlinedpayments.com/api/v1/payouts/pending \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>'const options = {method: 'GET', headers: {'X-App-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.staging.streamlinedpayments.com/api/v1/payouts/pending', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.streamlinedpayments.com/api/v1/payouts/pending"
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.staging.streamlinedpayments.com/api/v1/payouts/pending")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"payouts": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout_date": "<string>",
"account_type": "<string>",
"total": 123,
"currency": "USD",
"disbursement_amount": 123,
"disbursement_fee_amount": 123,
"masked_account_number": "<string>",
"account_number_last_4": "<string>",
"institution_name": "<string>",
"status": "paid"
}
],
"meta": {
"current_page": 123,
"per_page": 123,
"total_pages": 123,
"total_count": 123
}
}Authorizations
App ID for authentication
API Key for authentication
Query Parameters
Page number for pagination.
Number of records per page.
⌘I
List pending payouts
curl --request GET \
--url https://api.staging.streamlinedpayments.com/api/v1/payouts/pending \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>'const options = {method: 'GET', headers: {'X-App-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.staging.streamlinedpayments.com/api/v1/payouts/pending', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.streamlinedpayments.com/api/v1/payouts/pending"
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.staging.streamlinedpayments.com/api/v1/payouts/pending")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"payouts": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout_date": "<string>",
"account_type": "<string>",
"total": 123,
"currency": "USD",
"disbursement_amount": 123,
"disbursement_fee_amount": 123,
"masked_account_number": "<string>",
"account_number_last_4": "<string>",
"institution_name": "<string>",
"status": "paid"
}
],
"meta": {
"current_page": 123,
"per_page": 123,
"total_pages": 123,
"total_count": 123
}
}